@book{alma991007447025606161,
abstract = {The Raspberry Pi Foundation aims to promote the teaching of Computer Science and released the first Raspberry Pi device in February 2012. It is often referred to as a Single Board Computer (SBC), meaning that it runs a full operating system and has sufficient peripherals to start execution without additional hardware. Although other Single Board Computers (SBC) existed before, the Raspberry Pi Foundation made the SBC accessible to almost anyone, introducing not just a low-cost computer, but one that can bridge the gap to the physical world via standard electronic interfaces; controlled programmatically from the operating system. This has led to the popularity of the Raspberry Pi, not only in education but with industry, hobbyists, prototype builders, gamers and the curious, and it has enabled people to experiment in new ways. In this book, we show how the Raspberry Pi is being used for specific research prototypes; to construct testbeds; applied to Internet of Things applications, as well as educational contexts.},
author = {Cox, Simon J. and Johnston, Steven J.},
address = {Basel},
booktitle = {Raspberry Pi technology},
isbn = {3-03842-580-X},
keywords = {Raspberry Pi (Computer)},
language = {eng},
publisher = {MDPI - Multidisciplinary Digital Publishing Institute},
title = {Raspberry Pi technology },
year = {2017},
url = {https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/1vb34gl/alma991007447025606161},
}

@book{alma991004288329706161,
author = {Barrett Daniel J. and Silverman Richard E. and Jacoboni Éric and Barrett,Daniel J.},
address = {Paris Cambridge Cologne [etc},
booktitle = {SSH le shell sécurisé : la référence},
isbn = {2-84177-147-4},
keywords = {Chiffrement (informatique)},
language = {fre},
publisher = {O'Reilly},
title = {SSH le shell sécurisé : la référence / Daniel J. Barrett & Richard E. Silverman ; traduction d'Eric Jacoboni},
year = {2002},
url={https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/1vb34gl/alma991004288329706161},
}

@book{alma991007498492606161,
abstract = {A recipe for having fun and getting things done with the Raspberry Pi The Raspberry Pi makes it easy to learn about computers and computer programming, and Raspberry Pi For Dummies makes it even easier! Using this extremely affordable and compact computer, you can learn to code in languages like Scratch and Python, explore how electronics work, create computer-generated buildings in Minecraft and music in Sonic Pic, become Linux-savvy, make Internet-of-Things devices, or just play around! This book gets you up and running on your Raspberry Pi, starting with setting it up, downloading the operating system, and using the desktop environment. Then, the only limit is your imagination! It doesn't matter whether you have a Raspberry Pi 4, Raspberry Pi 400, Raspberry Pi Zero W or an older model: we've got you covered. Raspberry Pi For Dummies explores the latest technology--the Raspberry Pi 4 and 400, Scratch 3 programming language, new games bundled with the Raspberry Pi, and the hottest Add-Ons out there. This introductory guide is the perfect place to start if you want to get a taste of everything the Raspberry Pi can do! Set up your Raspberry Pi, install the operating system, and connect to the Internet Learn the basics of the Linux desktop and Linux shell so you can program, work, and play Use Python, Scratch, and Sonic Pi to write your first programs and make games and digital music Discover how circuits work hand-in-hand with your Pi If you want to make the most of the Raspberry Pi for school, work, or play, you'll love this easy-to-read reference.},
author = {McManus, Sean and Cook, Mike},
address = {Hoboken, New Jersey},
booktitle = {Raspberry Pi for dummies},
edition = {Fourth edition.},
isbn = {1-119-79687-3},
keywords = {Microcomputers},
language = {eng},
publisher = {John Wiley & Sons, Incorporated},
series = {--For dummies},
title = {Raspberry Pi for dummies },
year = {2021},
url = {https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/1vb34gl/alma991007498492606161},
}

@book{alma991006923232606161,
abstract = {"L'objectif de ce livre est de fournir au lecteur débutant des bases solides pour explorer les ressources offertes par le Raspberry Pi tant du point de vue du système d'exploitation que du développement en Python. Les modèles Raspberry Pi 4 et Raspberry Pi 400 sont traités dans cet ouvrage. Aucun prérequis en Linux ou en électronique n'est nécessaire. Les programmes développés étant largement commentés, une première approche du langage Python est souhaitable, mais pas indispensable. Après une présentation physique des deux modèles de Raspberry Pi, vous serez guidé pour installer rapidement le système d'exploitation de votre choix sur une carte micro SD et rendre votre Raspberry Pi opérationnel. L'utilisation de Raspberry Pi Imager est expliquée en détail. La présentation du nouveau bureau graphique de Raspberry Pi OS est suivie de l'utilisation de Linux en ligne de commande. Les principales commandes nécessaires à l'exploitation d'un Raspberry Pi sous GNU/Linux sont abordées. La description du GPI0 précède une présentation technique des composants utilisés dans le livre [carte Breadboard, résistance, bouton poussoir, LED, LED RGB, LED adressable, servomoteur, codeur rotatif, carte d'acquisition analogique). Chaque composant est ensuite mis en oeuvre à l'aide de scripts Python et de la bibliothèque gpiozero. Des projets concrets à réaliser permettent au lecteur d'utiliser ce matériel en suivant un cahier des charges. La construction d'une station météo est l'occasion d'utiliser un anémomètre, une girouette, un pluviomètre ainsi que différents capteurs (température, humidité, pression), La transmission des données via Sigfox ou LoRa sera évoquée ainsi que le partage de ces données dans un réseau météorologique. Les mesures relevées par la station météo sont, dans un premier temps, affichées en mode texte puis envoyées à une base de données InfluxDB avant d'être affichées sous forme de courbes dans le programme Chronograf."},
author = {Mocq François},
address = {St-Herblain},
booktitle = {Raspberry Pi 4 : exploitez tout le potentiel de votre nano-ordinateur (inclus : un projet de station météo)},
edition = {2e édition},
isbn = {978-2-409-03277-6},
keywords = {Raspberry Pi (ordinateur)},
language = {fre},
publisher = {Éditions ENI},
series = {<<La >>fabrique},
title = {Raspberry Pi 4 : exploitez tout le potentiel de votre nano-ordinateur (inclus : un projet de station météo) / [François Mocq]},
year = {2021},
url = {https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/1vb34gl/alma991006923232606161},
}

@article{ChandelNarendraSingh2024SAmd,
author = {Chandel, Narendra Singh and Chakraborty, Subir Kumar and Chandel, Abhilash K. and Dubey, Kumkum and A, Subeesh and Jat, Dilip and Rajwade, Yogesh A.},
issn = {0952-1976},
journal = {Engineering applications of artificial intelligence},
language = {eng},
pages = {107863-},
title = {State-of-the-art AI-enabled mobile device for real-time water stress detection of field crops},
volume = {131},
year = {2024},
url = {https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/3hfdli/cdi_crossref_primary_10_1016_j_engappai_2024_107863},
}

@article{WangYingbiao2024AolY,
abstract = {The appearance quality grading of walnut kernels is extremely important in the deep processing of walnuts. Foreign body pollution in food is also a challenging problem that has been troubling food companies. Therefore, it is necessary to propose an efficient and non-destructive detection method for walnut kernels and their endogenous foreign bodies. To improve the quality and safety of walnut deep-processed products, this paper proposes an improved detection model based on the original YOLO V5. The improved model achieves a reduction in memory consumption by 38% and computational workload by 34%. Additionally, it increases the average precision of the model by 1.1% and improves CPU speed by 52%. When compared to other lightweight networks, our model demonstrates optimal overall performance. Moreover, our algorithm significantly enhances the precision of detecting small targets and target selection, as compared to the original model.By reducing the input image size of the model, it is able to meet the requirements of real-time detection of walnut kernels and their endogenous foreign bodies on the edge device Raspberry Pi. This provides a technical reference for the non-destructive detection of food quality and its endogenous foreign bodies.
•YOLO V5; lightweight model; walnut kernels;endogenous foreign body;raspberry},
author = {Wang, Yingbiao and Zhang, Chaoyu and Wang, Zhoumei and Liu, Mengdi and Zhou, Dan and Li, Jiufeng},
copyright = {2024 Elsevier Inc.},
issn = {0889-1575},
journal = {Journal of food composition and analysis},
keywords = {Endogenous foreign body ; Lightweight model ; Walnut kernels ; YOLO V5},
language = {eng},
pages = {105964-},
publisher = {Elsevier Inc},
title = {Application of lightweight YOLOv5 for walnut kernel grade classification and endogenous foreign body detection},
volume = {127},
year = {2024},
url = {https://beluga.univ-grenoble-alpes.fr/permalink/33UGRENOBLE_INST/3hfdli/cdi_crossref_primary_10_1016_j_jfca_2023_105964},
}

@article{hal-02629562,
  TITLE = {{Le Raspberry Pi : un nano ordinateur au service de la science et de l'enseignement}},
  AUTHOR = {Cartailler, Julien and Rocca - Polimeni, Richard},
  URL = {https://hal.inrae.fr/hal-02629562},
  JOURNAL = {{Cahier des Techniques de l'INRA}},
  PUBLISHER = {{INRA}},
  PAGES = {148-156},
  YEAR = {2016},
  KEYWORDS = {instrumentation ; nano-ordinateur ; acquisition ; interface},
  PDF = {https://hal.inrae.fr/hal-02629562/file/CTh2016_Cartailler.pdf},
  HAL_ID = {hal-02629562},
  HAL_VERSION = {v1},
}

@inproceedings{power_consumption,
author = {Bekaroo, Girish and Santokhee, Aditya},
year = {2016},
month = {08},
pages = {361-366},
booktitle={2016 IEEE International Conference on Emerging Technologies and Innovative Business Practices for the Transformation ofSocieties (EmergiTech)}, 
title = {Power consumption of the Raspberry Pi: A comparative analysis},
doi = {10.1109/EmergiTech.2016.7737367},
url = {https://www.researchgate.net/publication/309917878_Power_consumption_of_the_Raspberry_Pi_A_comparative_analysis},
}

@inproceedings{powerpi,
  author={Kaup, Fabian and Gottschling, Philip and Hausheer, David},
  booktitle={39th Annual IEEE Conference on Local Computer Networks}, 
  title={PowerPi: Measuring and modeling the power consumption of the Raspberry Pi}, 
  year={2014},
  volume={},
  number={},
  pages={236-243},
  keywords={Power demand;Power measurement;Voltage measurement;Monitoring;Bandwidth;Current measurement;Software measurement},
  doi={10.1109/LCN.2014.6925777},
  url={https://ieeexplore.ieee.org/document/6925777},
}
